# classes/phing/tasks/ext/simpletest/SimpleTestPlainResultFormatter.php

## \SimpleTestPlainResultFormatter
jump to top

Prints plain text output of the test to a specified Writer.

Extends from
  \SimpleTestResultFormatter
author
  Michiel Rook
package
  phing.tasks.ext.simpletest
since
  2.2.0
version
  $Id: SimpleTestPlainResultFormatter.php 552 2009-08-29 12:18:13Z mrook $

### Properties

`$inner= ''`
Details

Type

### Methods

`formatError( $type, $message ) :`
Parameters

Name | Type | Description
--- | --- | ---
$type |  |
$message |  |

`getExtension( ) :`
`getPreferredOutfile( ) :`
`paintCaseEnd( $test_name ) :`
Parameters

Name | Type | Description
--- | --- | ---
$test_name |  |

`paintCaseStart( $test_name ) :`
Parameters

Name | Type | Description
--- | --- | ---
$test_name |  |

`paintError( $message ) :`
Parameters

Name | Type | Description
--- | --- | ---
$message |  |

`paintFail( $message ) :`
Parameters

Name | Type | Description
--- | --- | ---
$message |  |

Documentation was generated by DocBlox 0.13.1.